.read-sentence {
    max-width: 635px;
    margin: 0 auto 52px;
}

.qa-flex {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 34px;
    margin-top: 52px;
}

.qa-flex>div {
    position: relative;
    flex: 1;
    border-radius: 40px 40px 20px 20px;
}

.qa-flex>div.is-open {
    background-color: #FAF9E4;
}

.qa-flex h3 {
    position: relative;
    width: 100%;
    background-color: #F88A95;
    font-weight: bold;
    font-size: 18px;
    line-height: 1.45;
    color: #fff;
    border-radius: 40px;
    min-height: 81px;
    padding: 0 10px 0 50px;
    margin: 0;
    align-items: center;
    display: flex;
}

.qa-flex h3::before {
    content: "Q";
    position: absolute;
    font-family: 'Zen Maru Gothic';
    font-size: 60px;
    font-weight: bold;
    top: -23px;
    left: -3px;
}

.qa-flex p {
    position: relative;
    font-size: 16px;
    padding: 0 30px;
}

.button-multiple {
    display: flex;
    justify-content: center;
    gap: 22px;
    margin-bottom: 0px;
}

.qa-flex>div h3::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 10px;
    width: 16px;
    height: 16px;
    transform: translateY(-50%);
    background:
        linear-gradient(#fff, #fff) center / 16px 2px no-repeat,
        linear-gradient(#fff, #fff) center / 2px 16px no-repeat;
    transition: background-size 0.3s ease;
}

.qa-flex>div.is-open h3::after {
    background-size:
        16px 2px,
        2px 0;
}

.qa-flex>div p,
.qa-flex>div .button-multiple {
    overflow: hidden;
    max-height: 0;
    opacity: 0;
    margin-top: 0;
    transition:
        max-height 0.4s ease,
        opacity 0.3s ease,
        margin-bottom 0.3s ease,
        padding-top 0.3s ease,
        padding-bottom 0.3s ease;
}

.qa-flex>div.is-open p {
    max-height: max-content;
    opacity: 1;
    padding-top: 25px;
    padding-bottom: 45px;
}

.qa-flex>div .button-multiple {
    margin-bottom: 0;
}

.qa-flex>div.is-open .button-multiple {
    max-height: max-content;
    opacity: 1;
    margin-bottom: 36px;
    overflow: unset;
}

.button-multiple .button-white {
    margin-top: 0;
}

@media screen and (max-width: 767px) {

    .qa-flex {
        gap: 34px;
        margin-top: 27px;
        margin-bottom: 0px;
    }

    .qa-flex h3 {
        border-radius: 40px 40px 40px 0;
        padding: 43px 18px 12px;
        align-items: center;
        display: block;
        font-size: 16px;
        text-align: center;
    }

    .qa-flex h3::before {
        font-size: 50px;
        font-weight: bold;
        left: 50%;
        top: -25px;
        transform: translateX(-50%);
    }

    .qa-flex>div h3::after {
        position: relative;
        width: 16px;
        height: 16px;
        transform: translateX(-50%);
        background: linear-gradient(#fff, #fff) center / 16px 2px no-repeat, linear-gradient(#fff, #fff) center / 2px 16px no-repeat;
        transition: background-size 0.3s ease;
        display: block;
        left: 50%;
        margin-top: 10px;
    }

    .qa-flex p {
        font-size: 14px;
        padding: 0px 22px;
    }

    .qa-flex>div.is-open p {
        padding: 20px 22px;
    }

    .button-multiple{
        flex-direction: column;
    }

    .button-multiple .button-white {
        padding: 8px 18px;
        width: max-content;
        margin: 0 auto;
    }
    .button-white::after {
        right: -10px;
    }
}